// 预加载脚本 在上下文隔离渲染器进程中导入 Node.js 和 Electron 模块的概念
// 所有的 Node.js API接口 都可以在 preload 进程中被调用.
// 它拥有与Chrome扩展一样的沙盒。
const { contextBridge, ipcRenderer } = require('electron/renderer')
// 读取文件夹中文件，并传给渲染层
// import { unlink } from 'node:fs/promises';
contextBridge.exposeInMainWorld('electron', {
    startDrag : (fileName) => ipcRenderer.send('ondragstart', fileName),
    listDirFile :(fileName)=>ipcRenderer.send('ondragstart', fileName)
})